Bug 17465 - Testsuite in libffi overrides LD_LIBRARY_PATH
Testsuite in libffi overrides LD_LIBRARY_PATH
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: libffi
3.4.3
: P2 normal
: 3.4.3
Assigned To: Not yet assigned to anyone
:
Depends on:
Blocks: 17464
  Show dependency treegraph
 
Reported: 2004-09-13 19:57 UTC by H.J. Lu
Modified: 2005-07-23 22:49 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2004-09-13 19:57:42 UTC
Testsuite in libffi overrides LD_LIBRARY_PATH by using the global
ld_library_path, which causes LD_LIBRARY_PATH to be set as
$ld_library_path, and setting it directly.
Comment 1 H.J. Lu 2004-09-14 18:40:49 UTC
A patch is posted at

http://gcc.gnu.org/ml/gcc-patches/2004-09/msg01448.html
Comment 2 CVS Commits 2004-09-14 21:16:34 UTC
Subject: Bug 17465

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	hjl@gcc.gnu.org	2004-09-14 21:16:29

Modified files:
	libffi         : ChangeLog 
	libffi/testsuite/lib: libffi-dg.exp 

Log message:
	2004-09-14  H.J. Lu  <hongjiu.lu@intel.com>
	
	PR libgcj/17465
	* testsuite/lib/libffi-dg.exp: Don't use global ld_library_path.
	Set up LD_LIBRARY_PATH, SHLIB_PATH, LD_LIBRARYN32_PATH,
	LD_LIBRARY64_PATH, LD_LIBRARY_PATH_32, LD_LIBRARY_PATH_64 and
	DYLD_LIBRARY_PATH.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libffi/ChangeLog.diff?cvsroot=gcc&r1=1.194&r2=1.195
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libffi/testsuite/lib/libffi-dg.exp.diff?cvsroot=gcc&r1=1.7&r2=1.8

Comment 3 CVS Commits 2004-09-14 21:17:27 UTC
Subject: Bug 17465

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	hjl@gcc.gnu.org	2004-09-14 21:17:23

Modified files:
	libffi         : ChangeLog 
	libffi/testsuite/lib: libffi-dg.exp 

Log message:
	2004-09-14  H.J. Lu  <hongjiu.lu@intel.com>
	
	PR libgcj/17465
	* testsuite/lib/libffi-dg.exp: Don't use global ld_library_path.
	Set up LD_LIBRARY_PATH, SHLIB_PATH, LD_LIBRARYN32_PATH,
	LD_LIBRARY64_PATH, LD_LIBRARY_PATH_32, LD_LIBRARY_PATH_64 and
	DYLD_LIBRARY_PATH.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libffi/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.153.4.9&r2=1.153.4.10
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libffi/testsuite/lib/libffi-dg.exp.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.7&r2=1.7.4.1

Comment 4 Andrew Pinski 2004-09-14 21:45:11 UTC
Fixed.